<?php

namespace DocumentBundle\Controller;

use DocumentBundle\Entity\Evenement;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\Routing\Annotation\Route;

class EvenementController extends Controller
{
    /**
     * @Route("/ajouter-evenement")
     */
    public function ajouterAction()
    {
        $evenement = New Evenement();
        $evenement->setDateEvenement(new \DateTime('2018-10-12'));
        $evenement->setDescription('Toto et Tata');
        $evenement->setTitre('Fête du slip');
        $evenement->setType('fiesta');

        $em = $this->getDoctrine()->getManager();
        $em->persist($evenement);
        $em->flush();

        return $this->render('@Document\Document\ajouter.html.twig', array(
            'evenement' =>  $evenement
        ));
    }

    /**
     * @Route("/modifier-evenement/{id}")
     */
    public function modifierAction($id)
    {
        $em = $this->getDoctrine()->getManager();
        $rep = $em->getRepository('DocumentBundle:Evenement');
        $evenement = $rep->find($id);

        $evenement->setDateEvenement(new \DateTime('2018-02-10'));
        $evenement->setDescription('Zezette épouse X');
        $evenement->setTitre('La roumba de toto');
        $evenement->setType('bar mitzva');

        $em->flush();
        return $this->render('@Document\Document\modifier.html.twig', array(
            'evenement' =>  $evenement
        ));
    }

    /**
     * @Route("/liste-events")
     */
    public function listeEventsAction()
    {
        $em = $this->getDoctrine()->getManager();
        $rep = $em->getRepository('DocumentBundle:Evenement');

        $evenements = $rep->findMyEvents();

        return $this->render('@Document\Document\liste-evenements.html.twig', array(
            'evenements' =>  $evenements
        ));
    }

}
